package parkomat.ui.javafx;

import java.io.IOException;
import java.util.Map;

import parkomat.model.Tariffa;
import parkomat.persistence.BadFileFormatException;
import parkomat.persistence.TariffeReader;
import parkomat.tests.persistence.TariffeReaderMock;
import parkomat.ui.controller.Controller;
import parkomat.ui.controller.MyController;

public class ParkomatApplicationMock extends ParkomatApplication {

	@Override
	protected Controller createController() {
		TariffeReader tariffeReader = new TariffeReaderMock();
		try {
			Map<String, Tariffa> mappaTariffe = tariffeReader.leggiTariffe(null);
			return new MyController(generaMappaTariffeValide(mappaTariffe));
		}
		catch (IOException | BadFileFormatException e) {
			Controller.alert("Errore", "Impossibile aprire file iscritti o preferenze", "Errore o nell'apertura del file, o nella lettura, o nel formato");
			return null;
		}
	}

	public static void main(String[] args) {
		launch(args);
	}
}
